javax.ejb

## Class NoSuchEntityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ejb.EJBException
        - - javax.ejb.NoSuchEntityException

- All Implemented Interfaces:
    Serializable

      public class NoSuchEntityException
      extends EJBException

  The NoSuchEntityException exception is thrown by an entity bean instance to its container to report that the invoked business method or callback method could not be completed because of the underlying entity was removed from the database.

  This exception may be thrown by the bean class methods that implement the business methods defined in the bean's component interface and by the `ejbLoad` and `ejbStore` methods.

  Note: Support for entity beans is optional as of EJB 3.2.

  Since:
    EJB 1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchEntityException()` Constructs a NoSuchEntityException with no detail message.
    `NoSuchEntityException(Exception ex)` Constructs a NoSuchEntityException that embeds the originally thrown exception.
    `NoSuchEntityException(String message)` Constructs a NoSuchEntityException with the specified detailed message.

  - ### Method Summary

    - ### Methods inherited from class javax.ejb.EJBException

      `getCausedByException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchEntityException

          public NoSuchEntityException()

      Constructs a NoSuchEntityException with no detail message.

    - #### NoSuchEntityException

          public NoSuchEntityException(String message)

      Constructs a NoSuchEntityException with the specified detailed message.

    - #### NoSuchEntityException

          public NoSuchEntityException(Exception ex)

      Constructs a NoSuchEntityException that embeds the originally thrown exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.